Table of Contents

## Name

xlogo - X Window System logo

## Synopsis

xlogo [-toolkitoption ...]

## Description

The xlogo program displays the X Window System logo.

## Options

Xlogo accepts all of the standard X Toolkit command line options, as well as the following:

-shape
  This option indicates that the logo window should be shaped rather than rectangular.

## Resources

The default width and the default height are each 100 pixels. This program uses the Logo widget in the Athena widget set. It understands all of the Simple widget resource names and classes as well as:

foreground (class Foreground)
  Specifies the color for the logo. The default is depends on whether reverseVideo is specified. If reverseVideo is specified the default is XtDefaultForeground, otherwise the default is XtDefaultBackground.
shapeWindow (class ShapeWindow)
  Specifies that the window is shaped to the X logo. The default is False.

## Widgets

In order to specify resources, it is useful to know the hierarchy of the widgets which compose xlogo. In the notation below, indentation indicates hierarchical structure. The widget class name is given first, followed by the widget instance name.

    XLogo  xlogo
        Logo  xlogo

## Environment

DISPLAY
  to get the default host and display number.
XENVIRONMENT
  to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

## Files

<XRoot>/lib/X11/app-defaults/XLogo - specifies required resources

## See Also

X(1) , xrdb(1)

## Authors

Ollie Jones of Apollo Computer and Jim Fulton of the MIT X Consortium wrote the logo graphics routine, based on a graphic design by Danny Chong and Ross Chapman of Apollo Computer.

Table of Contents

- Name
- Synopsis
- Description
- Options
- Resources
- Widgets
- Environment
- Files
- See Also
- Authors